Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.axf.sd.model
Class AbstractSDModel

    java.lang.Object
      org.eclipse.amp.axf.sd.model.AbstractSDModel

All Implemented Interfaces:
  IAgentChild

    public abstract class AbstractSDModel

extends java.lang.Object
implements IAgentChild

Super class for all SD containers.

Author:
  fei

Constructor Summary
`AbstractSDModel()`

Method Summary
`void` | `addVariable(AbstractVariable var)`
`void` | `calculate(int time)` Will be called on every timestamp
`java.util.List<AbstractVariable>` | `getVariable()`
`AbstractVariable` | `getVariable(java.lang.String className)`
`void` | `removeVariable(AbstractVariable varToRemove)`
`void` | `startSimulation(int time)` Will be called at start time of the simulation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.amp.escape.runtime.extension.IAgentChild
`addDataCollectors`

Constructor Detail

### AbstractSDModel

    public AbstractSDModel()

Method Detail

### addVariable

    public void addVariable(AbstractVariable var)

### removeVariable

    public void removeVariable(AbstractVariable varToRemove)

### getVariable

    public AbstractVariable getVariable(java.lang.String className)

### getVariable

    public java.util.List<AbstractVariable> getVariable()

### calculate

    public void calculate(int time)

  Description copied from interface: `IAgentChild`
  Will be called on every timestamp

  Specified by:
    `calculate` in interface `IAgentChild`
  Parameters:
    `time` - the current simulation time

### startSimulation

    public void startSimulation(int time)

  Description copied from interface: `IAgentChild`
  Will be called at start time of the simulation

  Specified by:
    `startSimulation` in interface `IAgentChild`
  Parameters:
    `time` - the time on which the simulation start

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD